#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'katalogservice/katalogservicedlgbase.ui'
**
** Created: Mon Sep 15 09:22:25 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "katalogservice/katalogservicedlgbase.h"

#include <qvariant.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <kprogress.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kprogress.h"

/*
 *  Constructs a KDialogServiceDlgBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KDialogServiceDlgBase::KDialogServiceDlgBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "dlgbase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( TRUE );
    dlgbaseLayout = new QGridLayout( this, 1, 1, 11, 6, "dlgbaseLayout"); 
    dlgbaseLayout->setResizeMode( QLayout::Minimum );

    editName = new QComboBox( FALSE, this, "editName" );
    editName->setEditable( TRUE );

    dlgbaseLayout->addMultiCellWidget( editName, 0, 0, 1, 2 );

    labelName = new QLabel( this, "labelName" );

    dlgbaseLayout->addWidget( labelName, 0, 0 );
    spacer4 = new QSpacerItem( 41, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    dlgbaseLayout->addItem( spacer4, 1, 0 );

    checkCompress = new QCheckBox( this, "checkCompress" );

    dlgbaseLayout->addWidget( checkCompress, 1, 1 );
    spacer3 = new QSpacerItem( 141, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    dlgbaseLayout->addItem( spacer3, 1, 2 );

    checkMeta = new QCheckBox( this, "checkMeta" );

    dlgbaseLayout->addWidget( checkMeta, 2, 1 );
    spacer3_2 = new QSpacerItem( 110, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    dlgbaseLayout->addItem( spacer3_2, 2, 2 );
    spacer4_2 = new QSpacerItem( 41, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    dlgbaseLayout->addItem( spacer4_2, 2, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    dlgbaseLayout->addMultiCellLayout( Layout1, 7, 7, 0, 2 );
    spacer2 = new QSpacerItem( 21, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    dlgbaseLayout->addItem( spacer2, 6, 1 );

    progressBar = new KProgress( this, "progressBar" );
    progressBar->setEnabled( FALSE );

    dlgbaseLayout->addMultiCellWidget( progressBar, 5, 5, 0, 2 );

    infoLabel = new QLabel( this, "infoLabel" );

    dlgbaseLayout->addMultiCellWidget( infoLabel, 4, 4, 0, 2 );
    languageChange();
    resize( QSize(381, 207).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // buddies
    labelName->setBuddy( editName );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KDialogServiceDlgBase::~KDialogServiceDlgBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KDialogServiceDlgBase::languageChange()
{
    setCaption( tr2i18n( "Create Catalog" ) );
    labelName->setText( tr2i18n( "&Name :" ) );
    checkCompress->setText( tr2i18n( "&Scan inside archive(s)" ) );
    checkCompress->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( checkCompress, tr2i18n( "Select this if you want to know what your zip or tar files contain.<br>\n"
"<b>Be carefull:</b> If you have many or large compressed archives the creation of the catalog may take a <b>long</b> time (slowing down your computer as a side effect).<br>\n"
"If uncertain <b>do not</b> select this." ) );
    checkMeta->setText( tr2i18n( "Store &Meta Info of files" ) );
    checkMeta->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QWhatsThis::add( checkMeta, tr2i18n( "Select this if you plan to perform more powerful searches using extra info about the files (i.e. the <b>Title</b> for <b>HTML</b> files). <br>\n"
"Remember that selecting this, the creation of the catalog take <b>more</b> time.<br>\n"
"If uncertain <b>do not</b> select this." ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&Start" ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    buttonCancel->setText( tr2i18n( "Ca&ncel" ) );
    buttonCancel->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    infoLabel->setText( tr2i18n( "Press Start to begin scanning" ) );
}

#include "katalogservicedlgbase.moc"
